Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.spring
Class SpringProxyableObjectFactory

    java.lang.Object
      com.opensymphony.xwork2.ObjectFactory
          com.opensymphony.xwork2.spring.SpringObjectFactory
              com.opensymphony.xwork2.spring.SpringProxyableObjectFactory

All Implemented Interfaces:
  Serializable, org.springframework.context.ApplicationContextAware

    public class SpringProxyableObjectFactory

extends SpringObjectFactory

SpringProxyableObjectFactory.

Author:
  Jason Carreira
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.opensymphony.xwork2.spring.SpringObjectFactory
`appContext, autowireStrategy, autoWiringFactory`

Constructor Summary
`SpringProxyableObjectFactory()`

Method Summary
`Object` | `buildBean(String beanName, Map<String,Object> extraContext)` Build a generic Java object of the given type.
`protected org.springframework.context.ApplicationContext` | `getApplicationContext(Map<String,Object> context)` Subclasses may override this to return a different application context.

Methods inherited from class com.opensymphony.xwork2.spring.SpringObjectFactory
`autoWireBean, autoWireBean, buildBean, buildBean, findAutoWiringBeanFactory, getAutowireStrategy, getClassInstance, initObjectFactory, isNoArgConstructorRequired, setAlwaysRespectAutowireStrategy, setApplicationContext, setApplicationContextPath, setAutowireStrategy, setEnableAopSupport, setUseClassCache`

Methods inherited from class com.opensymphony.xwork2.ObjectFactory
`buildAction, buildConverter, buildInterceptor, buildResult, buildUnknownHandler, buildValidator, getObjectFactory, injectInternalBeans, setActionFactory, setClassLoader, setContainer, setConverterFactory, setInterceptorFactory, setResultFactory, setUnknownHandlerFactory, setValidatorFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringProxyableObjectFactory

    public SpringProxyableObjectFactory()

Method Detail

### buildBean

    public Object buildBean(String beanName,
                            Map<String,Object> extraContext)
                     throws Exception

  Description copied from class: `ObjectFactory`
  Build a generic Java object of the given type.

  Overrides:
    `buildBean` in class `ObjectFactory`
  Parameters:
    `beanName` - the type of Object to build
    `extraContext` - a Map of extra context which uses the same keys as the `ActionContext`
  Throws:
    `Exception`

### getApplicationContext

    protected org.springframework.context.ApplicationContext getApplicationContext(Map<String,Object> context)

  Subclasses may override this to return a different application context. Note that this application context should see any changes made to the `autoWiringFactory`, so the application context should be either the original or a child context of the original.

  Parameters:
    `context` - provided context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.